path: /build/build/net-smtp-dev-ruby-0.4.0.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/net-smtp -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/net-smtp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/net-smtp && luet-portage --dir /pkgdir/net-smtp
    dev-ruby/net-smtp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c4f1b9f1fa7fb312e6cee77c9571ca439a090b14d594740c3e08fcbf38d98699
  package:
    name: net-smtp
    version: 0.4.0.1
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: This library provides functionality to send internet mail via SMTP,
      the Simple Mail Transfer Protocol.
    uri:
    - https://github.com/ruby/net-smtp
    license: '|| ( Ruby BSD-2 )'
    buildtimestamp: 2024-02-06 19:31:16.777512248 +0000 UTC m=+244.005452051
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/net-smtp
      kit: ruby-kit
      original.package.name: dev-ruby/net-smtp
      original.package.slot: "0"
      original.package.version: 0.4.0.1
    treedir: /build/packages
  package_dir: /pkgdir/net-smtp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c6afdf4495c219b667fbe8f9409fc15fe14d0f5deb9fe16f9e8d7d6371874f9a
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/lib/net/smtp/auth_cram_md5.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/lib/net/smtp/auth_login.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/lib/net/smtp/auth_plain.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/lib/net/smtp/authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-smtp-0.4.0.1/lib/net/smtp.rb
- usr/lib64/ruby/gems/3.1.0/specifications/net-smtp-0.4.0.1.gemspec
- usr/share/doc/net-smtp-0.4.0.1/README.md.bz2
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/BDEPEND
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/BUILD_TIME
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CATEGORY
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CBUILD
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CFLAGS
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CHOST
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CONTENTS
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/COUNTER
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/CXXFLAGS
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/DEFINED_PHASES
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/DEPEND
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/DESCRIPTION
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/EAPI
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/FEATURES
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/HOMEPAGE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/INHERITED
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/IUSE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/KEYWORDS
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/LDFLAGS
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/LICENSE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/PF
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/RDEPEND
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/RESTRICT
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/SIZE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/SLOT
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/USE
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/environment.bz2
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/net-smtp-0.4.0.1.ebuild
- var/db/pkg/dev-ruby/net-smtp-0.4.0.1/repository
package_cacheimage: ""
runtime:
  name: net-smtp
  version: 0.4.0.1
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: This library provides functionality to send internet mail via SMTP,
    the Simple Mail Transfer Protocol.
  uri:
  - https://github.com/ruby/net-smtp
  license: '|| ( Ruby BSD-2 )'
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/net-smtp
    kit: ruby-kit
    original.package.name: dev-ruby/net-smtp
    original.package.slot: "0"
    original.package.version: 0.4.0.1
